<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-fatturazione-heading" jhiTranslate="shoppingonlineApp.fatturazione.home.createOrEditLabel">Create or edit a Fatturazione</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.fatturazione.fattura" for="field_fattura">Fattura</label>
                    <select class="form-control" id="field_fattura" name="fattura" formControlName="fattura">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="fatturaOption.id === editForm.get('fattura')!.value?.id ? editForm.get('fattura')!.value : fatturaOption" *ngFor="let fatturaOption of fatturas; trackBy: trackById">{{ fatturaOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
